Summary:	xmlsysd is an xml-based system information daemon
Name:		xmlsysd
Version:	1.0.4
Release:	1
Group:		System Environment/Daemons
Url:		http://www.phy.duke.edu/~rgb/Beowulf/xmlsysd.php
License:	GPL v2b
Source:		%{name}-%{version}.tgz
Source1:	xmlsysd.xinetd
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       xinetd
BuildRequires:  libxml2-devel

%description 
xmlsysd is a system information daemon that recognizes a simple command
language that causes it to execute certain systems calls and parse
various system information files in /proc, convert the information it
thus obtains into an xml encapsulation, and send the xml data out via a
socket connection.  It supports both a forking daemon mode that can be
run from userspace and an xinetd mode that can be run out of xinetd.  In
most situations the latter is more securable and controllable and this
rpm installs it in this mode.  

The xml encapsulation of system and proc data is documented within this
package to facilitate the construction of web or other applications that
connect to the daemon, retrieve the information it provides on some
polling loop, and extract the data for presentation.  In addition, the
source and xml itself is reasonably extensible so that it should be easy
to add new things to be monitored to the daemon in ways that don't break
existing applications (applications should always ignore any field tags
they don't recognize and should also be able to cope with missing field
tags that they expect to be there).  One monitoring application,
wulfstat, should generally be available in a separate rpm packaging.

The construction of xmlsysd is deliberately lightweight -- it is a
(hopefully) efficiently coded C-source binary application that tries to
make a minimal impact on the cpu, memory and network resources of the
host being monitored.  This design goal should be preserved if at all
possible by programmers seeking to add features or fields to be
monitored.

#------------------------------------------------------------------------------

%prep
%setup -q -n %{name}

#------------------------------------------------------------------------------

%build
%{__perl} -pi -e "s|^RELEASE=.*|RELEASE=%{release}|" Makefile
%{__make} clean
%{__make}

#------------------------------------------------------------------------------

%install
%makeinstall PREFIX=%{buildroot}%{_prefix}
%{__mkdir_p} -m 755 %{buildroot}%{_sysconfdir}/xinetd.d
%{__install} -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/xinetd.d/xmlsysd

#------------------------------------------------------------------------------

%clean
%{__rm} -rf %{buildroot}

#------------------------------------------------------------------------------

%files 
%defattr(-,root,root)

# The xmlsysd binary
%attr(755,root,root) %{_sbindir}/xmlsysd

# man pages
%attr(644,root,root) %{_mandir}/man*/*

# xinetd config
%config(noreplace) %{_sysconfdir}/xinetd.d/xmlsysd

# The xmlsysd docs
%doc README TODO COPYING CHANGELOG DESIGN

#------------------------------------------------------------------------------

%post
chkconfig xmlsysd on
service xinetd condrestart

%postun
service xinetd condrestart

#------------------------------------------------------------------------------

%changelog
* Wed Jul  07 2004 Robert G. Brown <rgb@duke.edu>
- Releasing v 0.2.4.  REAL changelog is henceforth in %doc CHANGELOG
* Wed Apr  29 2002 Robert G. Brown <rgb@duke.edu>
- Releasing v 0.1.0 beta -- this has now been "stable" for weeks.
* Wed Mar  13 2002 Robert G. Brown <rgb@duke.edu>
- set up and built for RH 7.2
